package com.alibaba.druid.proxy.jdbc;

import java.sql.Timestamp;
import java.util.Calendar;

public final class JdbcParameterTimestamp implements JdbcParameter {
   private final Timestamp value;

   public JdbcParameterTimestamp(Timestamp value) {
      this.value = value;
   }

   public Object getValue() {
      return this.value;
   }

   public long getLength() {
      return 0L;
   }

   public Calendar getCalendar() {
      return null;
   }

   public int getSqlType() {
      return 93;
   }
}
